import {
	request
} from '../utils/request.js';


// 查询活动列表列表
export function listActivity(query) {
  return request({
    url: '/tjt-activity/activity/listFlag1/'+query,
    method: 'get',
  })
}
// 查询活动详细信息
export function getActivity(activityId) {
  return request({
    url: '/tjt-activity/activity/getDetailByActivityId/' + activityId,
    method: 'get'
  })
}

//是否已经报名答题活动
export function selectWechat(wechatId,activityId) {
  return request({
    url: `/tjt-activity/signup/ActivitySignupListByWechatId/${wechatId}/${activityId}`,
    method: 'get'
  })
}

//查询项目列表
export function getProjectInfo(activityId) {
  return request({
    url: `/tjt-activity/project/list/${activityId}`,
    method: 'get'
  })
}


// 查询用户报名信息详细
export function getSinInInfo(wechatId,activityId) {
  return request({
    url: `/tjt-activity/signup/ActivitySignupListByWechatId/${wechatId}/${activityId}`,
    method: 'get'
  })
}

//新增报名信息
export function addsignInInfo(signInObject) {
  return request({
    url: '/tjt-activity/signup/add',
    method: 'post',
    data: signInObject
  })
}

//用户签到
export function userSignIn(signupId) {
  return request({
    url: `/tjt-activity/signup/activitySignin/${signupId}`,
    method: 'get'
  })
}

//新增答题活动报名信息
export function addTjtActivitySignupExams(TjtActivitySignupExamsVo) {
  return request({
    url: '/tjt-race/answerQuestion/addTjtActivitySignupExams',
    method: 'post',
	data:TjtActivitySignupExamsVo
  })
}

//微信支付
export function addUnifiedOrder(orderVo) {
  return request({
    url: '/dealFlow/stream/doUnifiedOrder',
    method: 'post',
    data: orderVo
  })
}

