// #ifndef VUE3
import Vue from 'vue'
import App from './App'
import store from "./store/store.js";

Vue.config.productionTip = false

App.mpType = 'app'

const app = new Vue({
    ...App,
	// 将 store 挂载到 Vue 实例上
	store
})
app.$mount()
// #endif
uni.$showMsg = function(title = '数据请求失败',duration = 1500){
  uni.showToast({
    title,
    duration,
    icon: 'none'
  })
}
// #ifdef VUE3
import { createSSRApp } from 'vue'
import App from './App.vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif