import {
	request
} from '../utils/request.js';

//查询今日是否有答题
export function getWhetherAnswer(activityId) {
  return request({
    url: `/tjt-activity/project/whetherAnswer/${activityId}`,
    method: 'get',
  })
}



// 查询答题活动信息
export function dailyQuestion(id,Time) {
  return request({
    url: `/tjt-race/answerQuestion/answerQuestionList/${id}/${Time}`,
    method: 'get',
	// params: query
  })
}

//查询试卷信息
export function getExamPapers(signupId,activityId,examTime) {
  return request({
    url: `/tjt-race/answerQuestion/answerQuestionListnew/${signupId}/${activityId}/${examTime}`,
    method: 'get',
  })
}

//新增每日答题分数
// export function addScore(signupId,examId,score,activityId,examTime) {
export function addScore(data) {
  return request({
    // url: `/tjt-race/answerQuestion/addScore/${signupId}/${examId}/${score}/${activityId}/${examTime}`,
    url: `/tjt-race/answerQuestion/addScore`,
    method: 'post',
	data:data
  })
}

//新增答题活动报名信息
export function addTjtActivitySignupExams(TjtActivitySignupExamsVo) {
  return request({
    url: '/tjt-race/answerQuestion/addTjtActivitySignupExams',
    method: 'post',
	data:TjtActivitySignupExamsVo
  })
}


//查询答题报名人员信息
export function selectRegisterList(wechatId,activityId) {
  return request({
    url: `/tjt-activity/signupexam/listByWechatIdActivityId/${wechatId}/${activityId}`,
    method: 'get',
  })
}

//查询区域id
export function getAreaList(pid) {
  return request({
    url: `/tjt-activity/signupexam/getAreaList/${pid}`,
    method: 'get',
  })
}

//查询以前是否答题
export function selectScore(signupId,activityId) {
  return request({
    url: `/tjt-race/answerQuestion/selectScore/${signupId}/${activityId}`,
    method: 'get',
  })
}

// 查询当前所有报名者
export function getPeople(activityId) {
  return request({
    url: `/tjt-activity/signupexam/selectNum/${activityId}`,
    method: 'get',
  })
}

//查询选中答题者是否参加了今日和以前的答题
export function getCount(activityId,signupId) {
  return request({
    url: `/tjt-race/answerQuestion/selectScore1/${activityId}/${signupId}`,
    method: 'get',
  })
}

//查询考试时间，总共有几天
export function selectExamTime(activityId) {
  return request({
    url: `/tjt-race/answerQuestion/selectExamTime/${activityId}`,
    method: 'get',
  })
}

//查询题库是否有试卷
export function selectexamType(examType) {
  return request({
    url: `/tjt-race/answerQuestion/selectexamType/${examType}`,
    method: 'get',
  })
}


//查询某个用户总分
export function getCumulativeScore(activityId,signupId) {
  return request({
    url: `/tjt-race/rank/select/${activityId}/${signupId}`,
    method: 'get',
  })
}

//添加某个用户总分
export function updateCumulativeScore(tjtSignupScore) {
  return request({
    url: `/tjt-race/rank/update/TjtSignupScore`,
    method: 'post',
	data:tjtSignupScore
  })
}

//查询某个答题活动积分排行
export function selectTjtSignupScoreList(activityId,pageNum) {
  return request({
    url: `/tjt-race/rank/list/${activityId}/${pageNum}`,
    method: 'get',
  })
}
